# Debian11中安装Docker

> wandoubaba / 2024-10-29

本文参考docker官方文档：

- <https://docs.docker.com/engine/install/debian/>

## 联网环境安装

依次执行下面的命令就可以。

> 如果root账号下提示没有`sudo`命令的话，使用`apt-get install sudo -y`安装一下就可以了。

```sh
# 卸载旧版本（可省略）
for pkg in docker.io docker-doc docker-compose podman-docker containerd runc; do sudo apt-get remove $pkg; done
# 安装新版本
sudo apt-get update
sudo apt-get install -y ca-certificates curl gnupg
sudo install -m 0755 -d /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/debian/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg
sudo chmod a+r /etc/apt/keyrings/docker.gpg
echo \
  "deb [arch="$(dpkg --print-architecture)" signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/debian \
  "$(. /etc/os-release && echo "$VERSION_CODENAME")" stable" | \
  sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
sudo apt-get update
sudo apt-get install -y docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin
```

> 可以把上面的过程制作一个`docker.sh`脚本里，直接执行脚本就能完成安装了。

## 验证安装

```sh
# 查看docker版本
docker version
# 查看docker compose版本
docker compose version
```
