# Linux安装node二进制

> wandoubaba / 2024-08-29

## 下载

在 <https://nodejs.org/download/release> 中可以下载到需要的版本和对应平台的安装包。本文写作时的最新版本是`v22.7.0`。

```sh
wget https://nodejs.org/download/release/v22.7.0/node-v22.7.0-linux-x64.tar.xz
```

## 解压安装

```sh
tar xvf node-v22.7.0-linux-x64.tar.xz
mv node-v22.7.0-linux-x64 /usr/local/node
ln -s /usr/local/node/bin/node /usr/local/bin/node
ln -s /usr/local/node/bin/npm /usr/local/bin/npm
```

验证安装

```sh
node --version
npm --version
```

## 配置npm源

淘宝镜像

```sh
 npm config set registry https://registry.npmmirror.com
```

阿里云

```sh
npm config set registry https://npm.aliyun.com
```

腾讯云

```sh
npm config set registry http://mirrors.cloud.tencent.com/npm/
```

华为云

```sh
npm config set registry https://mirrors.huaweicloud.com/repository/npm/
```

官方

```sh
npm config set registry https://registry.npmjs.org/
```

## 安装yarn

Yarn 是一个由 Facebook 贡献的 Javascript 包管理器

```sh
npm install -g yarn
ln -s /usr/local/node/bin/yarn /usr/local/bin/yarn
```

验证安装

```sh
yarn --version
```
## 安装nrm

nrm 是一个 npm 源管理器，允许你快速地在 npm 源间切换。

```sh
npm install -g nrm
ln -s /usr/local/node/bin/nrm /usr/local/bin/nrm
```

查看可选的源

```sh
nrm ls
```

使用taobao源

```sh
nrm use taobao
```

测试速度

```sh
nrm test
```

